### Signal

# Gtk EventControllerScroll::decelerate

#### Declaration

    void
    decelerate (
      GtkEventControllerScroll self,
      gdouble vel_x,
      gdouble vel_y,
      gpointer user_data
    )

#### Description [src]

Emitted after scroll is finished if the `GTK_EVENT_CONTROLLER_SCROLL_KINETIC` flag is set.

`vel_x` and `vel_y` express the initial velocity that was imprinted by the scroll events. `vel_x` and `vel_y` are expressed in pixels/ms.

Default handler: | The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`vel_x` | `gdouble`
| X velocity.
`vel_y` | `gdouble`
| Y velocity.